package sampleSearchDissociation;

import java.util.Arrays;
import java.util.LinkedList;
import java.util.List;

/** 
 * Tests the methods of class Clause 
 * @author Wolfgang Gatterbauer
 * @version First Version: July 23, 2013
 * @version This Version: July 23, 2013
 */
public class Test_Clause {
	
	public static void main(String[] args) {
		
		/* --- create clauses ---*/
		List<Integer> intList = null;
		intList = new LinkedList<Integer>(Arrays.asList(12, 2, 5));
		Clause clause1 = new Clause(intList);
		Clause clause2 = new Clause(new LinkedList<Integer>(Arrays.asList(13, 2, 6)));
		System.out.println("Example Clauses: " + clause1 +", " + clause2 + "\n");
		
		/* --- minimize clauses (= remove duplicates for queries with self-joins)---*/
		Clause clause3 = new Clause(new LinkedList<Integer>(Arrays.asList(3, 2, 3, 1, 2, 5)));		
		System.out.println("Another clause with duplicates: " + clause3 + "\n");
		clause3.minimizeClause();
		System.out.println("Same clause without duplicates: " + clause3 + "\n");
		
	}
}
